package com.lightinit.hsdataportal.model;

import java.util.Date;

public class MyMicroappApplyListModel {
    private Long id;
    private Date applyTime;
    private String resourceName;
    /*状态*/
    private String auditResult;
    private String authState;
    private String openType;
    private String shareType;
    /*剩余额度*/
    private Long restTimes;
    /*接入地址*/
    private String url ;
    private Long publishSettingId ;

    public Long getRestTimes() {
        return restTimes;
    }

    public void setRestTimes(Long restTimes) {
        this.restTimes = restTimes;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }
}
